Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class JifConstructorDecl_c

    java.lang.Object
      polyglot.ext.jl.ast.Node_c
          polyglot.ext.jl.ast.Term_c
              polyglot.ext.jl.ast.ConstructorDecl_c
                  jif.ast.JifConstructorDecl_c

All Implemented Interfaces:
  java.lang.Cloneable, JifConstructorDecl, JifProcedureDecl, polyglot.ast.ClassMember, polyglot.ast.CodeDecl, polyglot.ast.ConstructorDecl, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.ProcedureDecl, polyglot.ast.Term, polyglot.util.Copy

    public class JifConstructorDecl_c

extends polyglot.ext.jl.ast.ConstructorDecl_c
implements JifConstructorDecl

An implementation of the `JifConstructor` interface.

Field Summary
`protected java.util.List` | `constraints`
`protected LabelNode` | `returnLabel`
`protected LabelNode` | `startLabel`

Fields inherited from class polyglot.ext.jl.ast.ConstructorDecl_c
`body, ci, flags, formals, name, throwTypes`

Fields inherited from class polyglot.ext.jl.ast.Term_c
`exceptions, reachable`

Fields inherited from class polyglot.ext.jl.ast.Node_c
`del, error, ext, position`

Constructor Summary
`JifConstructorDecl_c(polyglot.util.Position pos, polyglot.types.Flags flags, java.lang.String name, LabelNode startLabel, LabelNode returnLabel, java.util.List formals, java.util.List throwTypes, java.util.List constraints, polyglot.ast.Block body)`

Method Summary
`java.util.List` | `constraints()`
`JifConstructorDecl` | `constraints(java.util.List constraints)`
`polyglot.ast.Node` | `disambiguate(polyglot.visit.AmbiguityRemover ar)`
`protected JifConstructorDecl_c` | `reconstruct(LabelNode startLabel, LabelNode returnLabel, java.util.List formals, java.util.List throwTypes, java.util.List constraints, polyglot.ast.Block body)`
`LabelNode` | `returnLabel()`
`JifConstructorDecl` | `returnLabel(LabelNode returnLabel)`
`LabelNode` | `startLabel()`
`JifConstructorDecl` | `startLabel(LabelNode startLabel)`
`polyglot.ast.Node` | `typeCheck(polyglot.visit.TypeChecker tc)`
`polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)`

Methods inherited from class polyglot.ext.jl.ast.ConstructorDecl_c
`acceptCFG, body, body, buildTypes, buildTypesEnter, codeInstance, constructorInstance, constructorInstance, dump, enterScope, entry, exceptionCheckEnter, flags, flags, formals, formals, isDisambiguated, memberInstance, name, name, prettyPrint, prettyPrintHeader, procedureInstance, reconstruct, throwTypes, throwTypes, toString`

Methods inherited from class polyglot.ext.jl.ast.Term_c
`exceptionCheck, exceptions, exceptions, listEntry, reachable, reachable`

Methods inherited from class polyglot.ext.jl.ast.Node_c
`addDecls, checkConstants, childExpectedType, copy, del, del, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, error, error, ext, ext, ext, ext, init, isTypeChecked, node, position, position, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, translate, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.ProcedureDecl
`procedureInstance`

Methods inherited from interface polyglot.ast.CodeDecl
`body, body, codeInstance`

Methods inherited from interface polyglot.ast.ClassMember
`memberInstance`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, entry, exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheckEnter, typeCheckOverride`

Methods inherited from interface polyglot.ast.ConstructorDecl
`constructorInstance, constructorInstance, flags, flags, formals, formals, name, name, throwTypes, throwTypes`

Methods inherited from interface polyglot.ast.ProcedureDecl
`procedureInstance`

Methods inherited from interface polyglot.ast.CodeDecl
`body, body, codeInstance`

Methods inherited from interface polyglot.ast.ClassMember
`memberInstance`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, entry, exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheckEnter, typeCheckOverride`

Field Detail

### startLabel

    protected LabelNode startLabel

### returnLabel

    protected LabelNode returnLabel

### constraints

    protected java.util.List constraints

Constructor Detail

### JifConstructorDecl_c

    public JifConstructorDecl_c(polyglot.util.Position pos,
                                polyglot.types.Flags flags,
                                java.lang.String name,
                                LabelNode startLabel,
                                LabelNode returnLabel,
                                java.util.List formals,
                                java.util.List throwTypes,
                                java.util.List constraints,
                                polyglot.ast.Block body)

Method Detail

### startLabel

    public LabelNode startLabel()

  Specified by:
    `startLabel` in interface `JifProcedureDecl`

### startLabel

    public JifConstructorDecl startLabel(LabelNode startLabel)

  Specified by:
    `startLabel` in interface `JifConstructorDecl`

### returnLabel

    public LabelNode returnLabel()

  Specified by:
    `returnLabel` in interface `JifProcedureDecl`

### returnLabel

    public JifConstructorDecl returnLabel(LabelNode returnLabel)

  Specified by:
    `returnLabel` in interface `JifConstructorDecl`

### constraints

    public java.util.List constraints()

  Specified by:
    `constraints` in interface `JifProcedureDecl`

### constraints

    public JifConstructorDecl constraints(java.util.List constraints)

  Specified by:
    `constraints` in interface `JifConstructorDecl`

### reconstruct

    protected JifConstructorDecl_c reconstruct(LabelNode startLabel,
                                               LabelNode returnLabel,
                                               java.util.List formals,
                                               java.util.List throwTypes,
                                               java.util.List constraints,
                                               polyglot.ast.Block body)

### visitChildren

    public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

  Specified by:
    `visitChildren` in interface `polyglot.ast.NodeOps`
  Overrides:
    `visitChildren` in class `polyglot.ext.jl.ast.ConstructorDecl_c`

### disambiguate

    public polyglot.ast.Node disambiguate(polyglot.visit.AmbiguityRemover ar)
                                   throws polyglot.types.SemanticException

  Specified by:
    `disambiguate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `disambiguate` in class `polyglot.ext.jl.ast.ConstructorDecl_c`
  Throws:
    `polyglot.types.SemanticException`

### typeCheck

    public polyglot.ast.Node typeCheck(polyglot.visit.TypeChecker tc)
                                throws polyglot.types.SemanticException

  Specified by:
    `typeCheck` in interface `polyglot.ast.NodeOps`
  Overrides:
    `typeCheck` in class `polyglot.ext.jl.ast.ConstructorDecl_c`
  Throws:
    `polyglot.types.SemanticException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD